Next: wcpcpy, Previous: wcscoll, Up: Wchar strings

### 6.10 `wcscpy`—copy a wide-character string

Synopsis

         #include <wchar.h>
         wchar_t *wcscpy(wchar_t *s1, const wchar_t *,s2);

Description
The `wcscpy` function copies the wide-character string pointed to by s2 (including the terminating null wide-character code) into the array pointed to by s1. If copying takes place between objects that overlap, the behaviour is undefined.

Returns
The `wcscpy` function returns s1; no return value is reserved to indicate an error.

Portability
`wcscpy` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.